package tests;

import entities.WorkingEntity2;
import entities.WorkingEntity1;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {

    private static WorkingEntity1 entity;

    private static WorkingEntity2 entity2;

    public static void main(String args[]){
        EntityManager em;
        EntityManagerFactory emf = Persistence.createEntityManagerFactory("working-PU");
        em = emf.createEntityManager();
        
        entity = new WorkingEntity1();
        entity2 = new WorkingEntity2();
                
        em.getTransaction().begin();
        em.persist(entity);
        em.persist(entity2);
        em.getTransaction().commit();
        
        System.out.println("ID-------------" + entity.getId());
        System.out.println("ID-------------" + entity2.getId());
    }
    
}
